## python-bluecurrent-api 1.2.3

=== Makefile ===
install:
	pip install -r requirements.txt

install-docs:
	pip install -r docs/requirements.txt

lint:
	pylint src

mypy:
	mypy src

black:
	black src tests

ruff:
	ruff --fix src tests && ruff format src tests

test:
	python -m pytest

test-cov:
	python -m pytest --cov=src --cov-report term-missing

build:
	python -m build

publish:
	twine upload dist/*

html:
	cd docs && make.bat clean && make.bat html

=== requirements.txt ===
websockets
pytz
types-pytz

# dev dependencies
pylint 
pytest 
pytest-mock
pytest-cov
pytest-asyncio
coverage
build
ruff
black
mypy

=== docs/requirements.txt ===
# autodoc
homeassistant>=2024.2.0
bluecurrent-api

# readthedocs dependencies
alabaster==0.7.12
attrs
Babel==2.9.1
certifi==2021.10.8
charset-normalizer==2.0.7
colorama
docutils==0.17.1
idna==3.3
imagesize==1.3.0
Jinja2
markdown-it-py
MarkupSafe==2.1.4
matplotlib==3.8.2
mdit-py-plugins>=0.3.4
myst-parser==1
packaging
Pygments==2.10.0
pyparsing==3.0.6
pytz==2021.3
PyYAML
requests
snowballstemmer==2.2.0
Sphinx>=5
sphinx-rtd-theme==1.0.0
sphinxcontrib-applehelp==1.0.2
sphinxcontrib-devhelp==1.0.2
sphinxcontrib-htmlhelp==2.0.0
sphinxcontrib-jsmath==1.0.1
sphinxcontrib-qthelp==1.0.3
sphinxcontrib-serializinghtml==1.1.5
urllib3==1.26.7

=== debian/changelog ===
python-bluecurrent-api (1.2.3-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * No change source-only upload for testing migration.

 -- Boyuan Yang <byang@debian.org>  Sat, 23 Nov 2024 08:24:02 -0500

python-bluecurrent-api (1.2.3-1) unstable; urgency=medium

  * Initial release. (Closes: #1081128)

 -- Thomas Goirand <zigo@debian.org>  Sun, 08 Sep 2024 11:35:37 +0200

=== debian/control ===
Source: python-bluecurrent-api
Section: python
Priority: optional
Maintainer: Home Assistant Team <team+homeassistant@tracker.debian.org>
Uploaders:
 Thomas Goirand <zigo@debian.org>,
Build-Depends:
 debhelper-compat (= 11),
 dh-python,
 openstack-pkg-tools,
 pybuild-plugin-pyproject,
 python3-all,
 python3-setuptools,
Build-Depends-Indep:
 python3-coverage,
 python3-mypy,
 python3-pytest,
 python3-pytest-asyncio,
 python3-pytest-cov,
 python3-pytest-mock,
 python3-tz,
 python3-websockets,
Standards-Version: 4.6.1
Vcs-Browser: https://salsa.debian.org/homeassistant-team/deps/python-bluecurrent-api
Vcs-Git: https://salsa.debian.org/homeassistant-team/deps/python-bluecurrent-api.git
Homepage: https://github.com/bluecurrent/HomeAssistantAPI

Package: python3-bluecurrent-api
Architecture: all
Depends:
 python3-tz,
 python3-websockets,
 ${misc:Depends},
 ${python3:Depends},
Description: wrapper for the Blue Current websocket API
 This package provides an asyncio-driven library that interfaces with the
 Websocket API provided by Blue Current. This was made for the Blue Current
 Home Assistant integration.

=== debian/rules ===
#!/usr/bin/make -f

UPSTREAM_GIT := https://github.com/bluecurrent/HomeAssistantAPI.git
include /usr/share/openstack-pkg-tools/pkgos.make

export PYTHONPATH=$(CURDIR)
export PYBUILD_TEST_ARGS= -v tests

%:
	dh $@ --buildsystem=pybuild --with python3

=== debian/watch ===
version=4
opts="mode=git,uversionmangle=s/\.0rc/~rc/;s/\.0b1/~b1/;s/\.0b2/~b2/;s/\.0b3/~b3/" https://github.com/bluecurrent/HomeAssistantAPI refs/tags/(\d[brc\d\.]+)
